For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pricing Locations

List Pricing Locations

get

Get a list of pricing locations with optional filtering by ISOs, zones, zone types and a search term.

Args: params: Query parameters for filtering pricing locations sort_column: Column to sort by. sort_order: Sort order - 'asc' or 'desc'.

Query parameters
sort_columnstring · nullableOptional
sort_orderstring · enum · nullableOptionalPossible values:
api_keystring · nullableOptional

API key for authentication (query)

searchstring · nullableOptional

Optional search term to filter locations by name

isosstring · nullableOptional

Comma-separated list of market IDs to filter by

zonesstring · nullableOptional

Comma-separated list of zones to filter by

statusstring · nullableOptional

Comma-separated list of statuses to filter by

location_typesstring · nullableOptional

Comma-separated list of location types to filter by

has_geo_databoolean · nullableOptional

Filter by whether locations have geographic data

Header parameters
x-api-keystring · nullableOptional

API key for authentication (header)

Responses
200

Successful Response

application/json

Response from get_items_and_facets containing items, total count, and facets.

total_itemsintegerRequired
get/pricing_locations
GET /v1/pricing_locations HTTP/1.1
Host: api.gridstatus.io
Accept: */*
{
  "items": [
    {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    }
  ],
  "total_items": 1,
  "facets": {
    "ANY_ADDITIONAL_PROPERTY": [
      {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    ]
  }
}

List Nearby Pricing Locations

get

Get a list of pricing locations near the provided latitude/longitude or gs_entity_id. User must provide either latitude and longitude or a gs_entity_id, but not both.

Query parameters
api_keystring · nullableOptional

API key for authentication (query)

limitinteger · min: 1 · max: 100OptionalDefault: 20
latitudenumber · min: -90 · max: 90 · nullableOptional

The latitude of the location to search

longitudenumber · min: -180 · max: 180 · nullableOptional

The longitude of the location to search

gs_entity_idstring · nullableOptional

The GS entity ID of the location to search

Header parameters
x-api-keystring · nullableOptional

API key for authentication (header)

Responses
200

Successful Response

application/json
gs_entity_idstringRequired
locationstringRequired
market_idstringRequired
distance_in_milesnumberRequired
get/pricing_locations/nearby
GET /v1/pricing_locations/nearby HTTP/1.1
Host: api.gridstatus.io
Accept: */*
[
  {
    "gs_entity_id": "text",
    "location": "text",
    "market_id": "text",
    "distance_in_miles": 1
  }
]

Get Pricing Location

get

Get data for a specific pricing location by its ID.

Path parameters
gs_entity_idstringRequired

Name of the pricing location to query

Query parameters
api_keystring · nullableOptional

API key for authentication (query)

Header parameters
x-api-keystring · nullableOptional

API key for authentication (header)

Responses
200

Successful Response

application/json
gs_entity_idstringRequired
locationstringRequired
location_typestringRequired
market_idstringRequired
baastring · nullableRequired
zonestring · nullableRequired
zone_typestring · nullableRequired
latitudenumber · nullableRequired
longitudenumber · nullableRequired
pricing_datasetsstring[] · nullableOptional
earliest_seen_utcstring · date-time · nullableRequired
latest_seen_utcstring · date-time · nullableRequired
status_threshold_daysinteger · nullableRequired
statusstring · nullableRequired
get/pricing_locations/{gs_entity_id}
GET /v1/pricing_locations/{gs_entity_id} HTTP/1.1
Host: api.gridstatus.io
Accept: */*
{
  "gs_entity_id": "text",
  "location": "text",
  "location_type": "text",
  "market_id": "text",
  "baa": "text",
  "zone": "text",
  "zone_type": "text",
  "latitude": 1,
  "longitude": 1,
  "pricing_datasets": [
    "text"
  ],
  "earliest_seen_utc": "2026-01-01T00:00:00.000Z",
  "latest_seen_utc": "2026-01-01T00:00:00.000Z",
  "status_threshold_days": 1,
  "status": "text"
}

Last updated

Was this helpful?